package com.jpsoft.shinestar.modules.business.service;

import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.base.entity.PersonInfo;
import com.jpsoft.shinestar.modules.business.entity.FillAttendance;
import com.jpsoft.shinestar.modules.common.dto.Sort;

import java.util.List;
import java.util.Map;

public interface FillAttendanceService {
	FillAttendance get(String id);
	boolean exist(String id);
	int insert(FillAttendance model);
	int update(FillAttendance model);
	int delete(String id);
	List<FillAttendance> list();
	Page<FillAttendance> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);
    FillAttendance insertAndfile(String workAttendanceId, String workAttendanceDate, String workAttendanceTime,
                                 String content, String type, String photoFile, String longitude, String latitude,
                                 String approvalPersonId, Long personId, String alarmConfigId, String address, String attendanceType) throws Exception;


	void updateAndWorkAtten(PersonInfo personInfo, String content, FillAttendance fillAttendance);

    FillAttendance findByBusinessWorkAttendanceId(String id);

	void approvalFillAttendance(PersonInfo personInfo, String ids, String content, String status) throws Exception;
}